Bug 70836 - segfault on very simple example with type error
segfault on very simple example with type error
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gcc3 (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-05 19:58 EDT by Kristian Spangsege
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 20:13:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kristian Spangsege 2002-08-05 19:58:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc2) Gecko/20020510

Description of problem:

See summary!

Version-Release number of selected component (if applicable):

3.0.2

How reproducible:
Always

Steps to Reproduce:
1. Create a file "bug.C" with the following 3 lines:

struct B {};
template<class T> struct A {};
template<class T> struct A<T>::C: B {};

2. gcc3 bug.C

	

Actual Results:  bug.C:3: Internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Expected Results:  Some sort of descriptive error message

Additional info:

Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/3.0.2/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--disable-checking --host=i386-redhat-linux
Thread model: posix
gcc version 3.0.2 20010905 (Red Hat Linux 7.1 3.0.1-3)
Comment 1 Alan Cox 2002-12-15 17:08:00 EST
Still present in g++ 3.2
Comment 2 Richard Henderson 2004-10-02 20:13:46 EDT
ICE persists until gcc 3.4, which yields
z.c:3: error: qualified name does not name a class before ':' token

Note You need to log in before you can comment on or make changes to this bug.